XmVaCreateArrowButton(3)

NAME
XmVaCreateArrowButton, XmVaCreateManagedArrowButton — A ArrowButton widget convenience creation functions.

SYNOPSIS

#include <Xm/ArrowB.h>

Widget XmVaCreateArrowButton(
Widget parent,
String name,
...);

Widget XmVaCreateManagedArrowButton(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ArrowButton widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateArrowButton function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedArrowButton function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ArrowButton and its associated resources, see XmArrowButton(3).

RETURN

Returns the ArrowButton widget ID.

RELATED

XmArrowButton(3), XmCreateArrowButton(3), XtCreateWidget(3), and XtCreateManagedWidget(3).